<template>
<main class="d-flex align-items-center min-vh-100">
<div class="container" style="margin-top:10%">
        <div class="card login-card">
        <!-- no-gutters -->
        <div class="row">
          <div class="col-md-3">
            <img src="../assets/images/panvet/files/lateral_registro_PANVET.png" 
            alt="logo_panvet" width="100%" class="login-card-img">
          </div>
          <div class="col-md-9">
            <div class="card-body text-center">              
              <p style="color: #0b415d;" class="login-card-description">Iniciar Sesión</p>
              <form @submit="login">
                    <div class="form-group">
                        <input type="text" class="micontrol" name="email"  id="email" placeholder="Correo Electrónico" v-model="LoginUsuario.EmailUsuario" required>
                  </div>
                  <div class="form-group mb-2">
                      <input type="password" class="micontrol" name="password" placeholder="Contraseña" v-model="LoginUsuario.PasswordUsuario" required>
                  </div>
                  <div class="form-group text-center">
                      <div class="col-md-12 mt-2">                        
                          <button class="btn btn-lg login-btn mb-4" type="submit">Entrar <i class="fa fa-arrow-right"></i> </button>
                      </div>
                  </div>
                      <div class="form-group m-b-0">
                        <div class="col-sm-12 text-center">
                          <p style="font-size: 15px" class="">
                              ¿No eres miembro?
                              <a style="text-decoration : revert; font-weight: 600; color: #0b415d;" href="" target="blank">
                                  ¡Regístrate Aquí!
                              </a>
                          </p>
                        </div>
                      </div>
                  <div class="form-group m-b-0">
                      <div class="col-sm-12 text-center">
                            <p style="font-size: 15px" class="">
                                ¿Problemas para inciar sesión?
                                <br>
                                <a href="javascript:void(0)" target="_blank" class="support" data-name="soporte" data-view="login" >
                                    ¡Nosotros te ayudamos!
                                </a>
                            </p>
                      </div>
                  </div>
                </form>
            </div>
          </div>
        </div>
      </div>       
    </div>
</main>
    
</template>
<script>
import router from '../router/router'
import axios from 'axios'
import { watchEffect } from "vue";
import Swal from 'sweetalert2/dist/sweetalert2.js'


const config = require("../apiruta/VariablesdeConfiguracion.js")
const ruta = require('../apiruta/Apiruta')

export default {
    name:"Login",
    data(){
        return{
            LoginUsuario:{
                EmailUsuario:"",
                PasswordUsuario:"",
                Idevent:config.Idevent
            }
        }
    },
    setup() {
        let elemento = document.getElementById('principal');
            elemento.classList.remove(elemento.classList.value)
            console.log(config.Idevent)
          watchEffect(() =>{
              elemento.classList.add('login')
          });
         
    },
    methods: {
        login(e){
            e.preventDefault()
           axios.post(`${ruta}autenticar`, this.LoginUsuario).then(function(response) {
            if(response.status === 200){
                if (typeof(Storage) !== "undefined") {
                    localStorage.setItem("toke", response.data.token);
                    router.push("Lobby")
                } 
            }else if(response.status === 203){
               Swal.fire({
                    icon: 'error',
                    title: response.data.mensaje,
                    showConfirmButton: false,
                    timer: 1500
                })
            }
            
            }).catch(function(error) {
            console.log(error);
            });
        }   
    },
}
</script>






<style>

.brand-wrapper {
    margin-bottom: 19px;
}
.brand-wrapper .logo {
    height: 37px;
}

.login-card {
    border: 0;
    border-radius: 27.5px;
    box-shadow: 0 10px 30px 0 rgba(172, 168, 168, 0.43);
    overflow: hidden;
    width: 400px;
    margin: 0 auto;
}
.login-card-img {
    border-radius: 0;
    position: absolute;
    width: 100%;
    height: 103%;
    -o-object-fit: cover;
    object-fit: cover;
    margin-top: -6px;
}
.login-card .card-body {
    /*padding: 85px 10px 0px;*/
    padding: 20px 0px 0px;
}
.login-card-description {
    font-size: 25px;
    color: #5D1B59;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 23px;
}
.login-card form {
    max-width: 326px;
}
.login-card .micontrol {
    /*border: 1px solid #d5dae2;*/
    /*border: 0px none;*/
    border-color: linear-gradient(#e9edf2, #e9edf2);
    border-radius: 0px;
    border-width: 0 0 1px;
    padding: 15px 25px;
    margin-bottom: 20px;
    min-height: 16px;
    font-size: 13px;
    line-height: 15px;
    font-weight: normal;
    text-align: center;
}
.login-card .micontrol::-webkit-input-placeholder {
    color: #919aa3;
}
.login-card .micontrol::-moz-placeholder {
    color: #919aa3;
}
.login-card .micontrol:-ms-input-placeholder {
    color: #919aa3;
}
.login-card .micontrol::-ms-input-placeholder {
    color: #919aa3;
}
.login-card .micontrol::placeholder {
    color: #919aa3;
}
.login-card .login-btn {
    padding: 13px 20px 12px;
    background-color: #5D1B59;
    border-radius: 4px;
    font-size: 17px;
    font-weight: bold;
    line-height: 20px;
    color: #fff;
    margin-bottom: 24px;
}
.login-card .login-btn:hover {
    /*border: 1px solid #000;*/
    background-color: #5D1B59;
    color: #fff;
}
.login-card .forgot-password-link {
    font-size: 14px;
    color: #919aa3;
    margin-bottom: 12px;
}
.login-card-footer-text {
    font-size: 16px;
    color: #0d2366;
    margin-bottom: 60px;
}

.login-card-footer-nav a {
    font-size: 14px;
    color: #919aa3;
}
.card {
    background-color: #fff;
    margin-bottom: 30px !important;
}
/*# sourceMappingURL=login.css.map */
@media (max-width: 422px) {
    .login-card .card-body {
        padding: 35px 24px;
        width: auto !important;
    }
}

@media (max-width: 767px) {
    .login-card-footer-text {
        margin-bottom: 24px;
    }

    .login-card form {
        max-width: none;
    }

    .login-card .micontrol {
        width: 80%;
    }


}

.login-card-img {
    margin-top: -15px !important;
    height: 104% !important;
}

.login-btn {
    background: #0b415d !important;
    border: 2px solid #0b415d !important;
}

.login-btn:hover {
    background: #FFFFFF !important;
    color: #001635 !important;
}

#countdown {
    font-family: sans-serif !important;
    color: #fff !important;
    display: inline-block !important;
    font-weight: 100 !important;
    text-align: center !important;
    font-size: 16px !important;
}

#countdown>div {
    padding: 5px !important;
    border-radius: 3px !important;
    background: #001635 !important;
    display: inline-block !important;
}

#countdown div>span {
    padding: 10px !important;
    border-radius: 3px !important;
    background-color: rgba(0, 0, 0, .6) !important;
    display: inline-block !important;
}

.smalltext {
    padding-top: 5px !important;
    font-size: 16px !important;
}

@media only screen and (max-width: 600px) {
    .lateral-izquierda,
    .lateral-derecha {
        display: none;
    }
}


</style>

